Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  BricsCAD
  Text in Variable speichern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Text in Variable speichern (301 mal gelesen)
Melmacker
Mitglied



Sehen Sie sich das Profil von Melmacker an!   Senden Sie eine Private Message an Melmacker  Schreiben Sie einen Gästebucheintrag für Melmacker

Beiträge: 10
Registriert: 19.08.2019

erstellt am: 19. Aug. 2019 16:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
ich habe ein Problem mit entsel und komme einfach nicht weiter  .
Also ich bin gerade dabei mit Dcl eine art Längsschnitt Script zu erstellen und habe mehrere Buttons mit denen ich über entsel Werte (Höhen, Längen, usw.) in eine Variable speichern möchte. Also mache ich es immer folgendermaßen:
Button wird geklickt
Dcl-Fenster wird geschlossen "(done_dialog)"
Der Befehl "(setq schnittname (cdr(assoc 1 (entget (car (entsel))))))" wird ausgeführt
Wieder über den Befehl aufrufen "(command \"MenueSchnitte\")"

Mein Problem ist jetzt aber das wenn ich z.B. den Schnittnamen aus einem Text hab und dann einen anderen Butten drücke mit dem ich z.B. die erste Höhe aus einem Text nehme und in eine Variable speichern möchte, das ich dann einen Error erhalte "; error : bad argument type <NIL> ; expected ENTITYNAME at [entget]".
Kann mir igrendjemand weiterhelfen wie ich es hinbekomme das ich mehr als immer nur einen Text mir in eine Variable lesen zu lasse?
Mfg
Melmacker

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1909
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 19. Aug. 2019 17:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Melmacker 10 Unities + Antwort hilfreich

Willkommen hier im Forum.
für die Zukunft:
Es gibt ein extra Lisp Forum

Code:
(entget (car (entsel)))

liefert dir erstmal 'ne Liste

was soll dir denn

Code:
(cdr(assoc 1 ...
liefern?
mal prüfen ob es überhaupt ein dxf 1 in deiner entityliste gibt!

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Melmacker
Mitglied



Sehen Sie sich das Profil von Melmacker an!   Senden Sie eine Private Message an Melmacker  Schreiben Sie einen Gästebucheintrag für Melmacker

Beiträge: 10
Registriert: 19.08.2019

erstellt am: 19. Aug. 2019 18:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo CADwiesel und danke schon mal für deinen Kommentar.
Ich schreibe erst so spät weil ich kurz vor Arbeitsende nach langem verzweifeltem suchen noch dieses Thema erstellt hatte und ich gerade noch auf dem Weg nach Hause war.
Mit (cdr(assoc 1 tue ich den Inhalt des Textes in die Variable schnittname setzen.
Und was meinst du mit:"Mal prüfen ob es überhaupt ein dxf 1 in deiner Entityliste gibt"? 
Mfg
Melmacker  

[Diese Nachricht wurde von Melmacker am 19. Aug. 2019 editiert.]

[Diese Nachricht wurde von Melmacker am 19. Aug. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1909
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 20. Aug. 2019 09:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Melmacker 10 Unities + Antwort hilfreich

die Fehlermeldung weißt darauf hin, das du per (entsel) nichts gewählt hast.
Also solltest du das Weitere von einer Bedingung abhängig machen
Code:
(if(setq awahl(cad(entsel)))
...(mach was)
)

oder
Code:
(if(and(setq awahl(car(entsel)))
      (assoc 1 awahl)
    )
...(mach was)
)

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Melmacker
Mitglied



Sehen Sie sich das Profil von Melmacker an!   Senden Sie eine Private Message an Melmacker  Schreiben Sie einen Gästebucheintrag für Melmacker

Beiträge: 10
Registriert: 19.08.2019

erstellt am: 20. Aug. 2019 10:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Erstmal danke für deine Codeschnipsel    .

Ich habe mir den Code jetzt so zusammengeschustert:
(if(and(setq awahl(car(entsel)))
      (setq schnittname (cdr (assoc 1 (entget awahl))))
    )
(princ)
(princ "\nNichts ausgewählt!")
)

Das funktioniert auch alles prima und es schließt sich auch nicht mehr wenn man auf den Knopf drückt um einen Textinhalt in eine Variable zu setzen. Nur das Problem ist jetzt, das ich einen Text auwählen aber danach gar keinen Text mehr auswählen kann, sondern das es einfach die Abfrage überspringt und dann weiter macht als hätte man nie einen Text wählen sollen.
Ich hoffe du kannst mir helfen    .

MFG  
Melmacker

[Diese Nachricht wurde von Melmacker am 20. Aug. 2019 editiert.]

[Diese Nachricht wurde von Melmacker am 20. Aug. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Melmacker
Mitglied



Sehen Sie sich das Profil von Melmacker an!   Senden Sie eine Private Message an Melmacker  Schreiben Sie einen Gästebucheintrag für Melmacker

Beiträge: 10
Registriert: 19.08.2019

erstellt am: 20. Aug. 2019 10:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich habe gerade noch herausgefunden das es sehr wahrscheinlich an dem "command" Befehl hängt (damit meine ich, das jedes mal wenn ich es über (command "MenueSchnitte") aufrufe das ich dann gar keinen Text auswählen kann bzw. das die Aufforderung zur Auswahl immer übersprungen wird).

[Diese Nachricht wurde von Melmacker am 20. Aug. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Melmacker
Mitglied



Sehen Sie sich das Profil von Melmacker an!   Senden Sie eine Private Message an Melmacker  Schreiben Sie einen Gästebucheintrag für Melmacker

Beiträge: 10
Registriert: 19.08.2019

erstellt am: 20. Aug. 2019 12:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich habe meine Antwort durch zufall in einem anderem Thema gefunden:
http://ww3.cad.de/foren/ubb/Forum145/HTML/000418.shtml

Trotzdem vielen Dank für deine Hilfe CADwiesel  
Mfg
Melmacker

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz